Subject: bug#17553: du unit suggestion

From: Reuben Thomas <[email-masked]>
Date: Thu, 22 May 2014 20:47:29 +0100

It would be helpful to this addle-pated individual if du would output the
same units as it accepts as SIZE inputs, so that one could more readily
tell whether one was getting 1000-based or 1024-based units.

For additional clarity, it would help if for output the suffix were "B" as
at present for 1000-based units and "iB" for 1024-based (and
correspondingly it would be nice if "iB" suffixed units were accepted as
input. As far as input goes, it's backwards-compatible; it's not for output
if other programs are trying to parse the human-readable output, but maybe
that's not a problem.

-- 
http://rrt.sc3d.org